/*
 * Copyright (c) 1999 The Java Apache Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the Java Apache 
 *    Project. <http://java.apache.org/>"
 *
 * 4. The names "Java Apache Element Construction Set", "Java Apache ECS" and 
 *    "Java Apache Project" must not be used to endorse or promote products 
 *    derived from this software without prior written permission.
 *
 * 5. Products derived from this software may not be called 
 *    "Java Apache Element Construction Set" nor "Java Apache ECS" appear 
 *    in their names without prior written permission of the 
 *    Java Apache Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the Java Apache 
 *    Project. <http://java.apache.org/>"
 *    
 * THIS SOFTWARE IS PROVIDED BY THE JAVA APACHE PROJECT "AS IS" AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JAVA APACHE PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Java Apache Project. For more information
 * on the Java Apache Project please see <http://java.apache.org/>.
 *
 */
package org.apache.ecs;

/**
    This class defines all of the available Html Colors.

    @version $Id: HtmlColor.java,v 1.2 1999/04/29 21:44:16 jonbolt Exp $
    @author <a href="mailto:snagy@servletapi.com">Stephan Nagy</a>
    @author <a href="mailto:jon@clearink.com">Jon S. Stevens</a>
*/
public abstract class HtmlColor
{

    // colors html 4.0

    public final static String BLACK = "#000000";
    public final static String SILVER = "#C0C0C0";
    public final static String GRAY = "#808080";
    public final static String WHITE = "#FFFFFF";
    public final static String MAROON = "#800000";
    public final static String RED = "#FF0000";
    public final static String PURPLE = "#800080";
    public final static String FUCHSIA = "#FF00FF";
    public final static String GREEN = "#008000";
    public final static String LIME = "#00FF00";
    public final static String OLIVE = "#808000";
    public final static String YELLOW = "#FFFF00";
    public final static String NAVY = "#000080";
    public final static String BLUE = "#0000FF";
    public final static String TEAL = "#008080";
    public final static String AQUA = "#00FFFF";

    // colors html 3.0

    public final static String ALICEBLUE = "#EFF7FF";
    public final static String ANTIQUEWHITE = "#F9E8D2";
    public final static String AQUAMARINE = "#43B7BA";
    public final static String AZURE = "#EFFFFF";
    public final static String BEIGE = "#F5F3D7";
    public final static String BISQUE = "#FDE0BC";
    public final static String BLANCHEDALMOND = "#FEE8C6";
    public final static String BLUEVIOLET = "#7931DF";
    public final static String BROWN = "#980516";
    public final static String BURLYWOOD = "#EABE83";
    public final static String CADETBLUE = "#578693";
    public final static String CHARTREUSE = "#8AFB17";
    public final static String CHOCOLATE = "#C85A17";
    public final static String CORAL = "#F76541";
    public final static String CORNFLOWERBLUE = "#151B8D";
    public final static String CORNSILK = "#FFF7D7";
    public final static String CRIMSON = "#E41B17"; // XXXXX: RED2 couldn't find CRIMSON
    public final static String CYAN = "#00FFFF";
    public final static String DARKBLUE = "#2F2F4F"; // XXXXX: MIDNIGHTBLUE couldn't find DARKBLUE
    public final static String DARKCYAN = "#57FEFF"; // XXXXX: CYAN1 couldn't find DARKCYAN
    public final static String DARKGOLDENROD = "#AF7817";
    public final static String DARKGRAY = "#7A7777"; // XXXXX: GRAY52 couldn't find DARKGRAY
    public final static String DARKGREEN = "#254117";
    public final static String DARKKHAKI = "#B7AD59";
    public final static String DARKMAGENTA = "#F43EFF"; // XXXXX: MAGENTA1 couldn't find DARKMAGENTA
    public final static String DARKOLIVEGREEN = "#CCFB5D";
    public final static String DARKORANGE = "#F88017";
    public final static String DARKORCHID = "#7D1B7E";
    public final static String DARKRED = "#E41B17"; // XXXXX: RED2 couldn't find DARKRED
    public final static String DARKSALMON = "#E18B6B";
    public final static String DARKSEAGREEN = "#8BB381";
    public final static String DARKSLATEBLUE = "#2B3856";
    public final static String DARKSLATEGRAY = "#253856";
    public final static String DARKTURQUOISE = "#3B9C9C";
    public final static String DARKVIOLET = "#842DCE";
    public final static String DEEPPINK = "#F52887";
    public final static String DEEPSKYBLUE = "#3BB9FF";
    public final static String DIMGRAY = "#463E41";
    public final static String DODGERBLUE = "#1589FF";
    public final static String FIREBRICK = "#800517";
    public final static String FLORALWHITE = "#FFF9EE";
    public final static String FORESTGREEN = "#4E9258";
    public final static String GAINSBORO = "#D8D9D7";
    public final static String GHOSTWHITE = "#F7F7FF";
    public final static String GOLD = "#D4A017";
    public final static String GOLDENROD = "#EDDA74";
    public final static String GREENYELLOW = "#B1FB17";
    public final static String HONEYDEW = "#F0FEEE";
    public final static String INDIANRED = "#5E2217";
    public final static String INDIGO = "#307D7E"; // XXXXX: CYAN4 couldn't find INDIGO
    public final static String IVORY = "#FFFFEE";
    public final static String KHAKI = "#ADA96E";
    public final static String LAVENDER = "#E3E4FA";
    public final static String LAVENDERBLUSH = "#FDEEF4";
    public final static String LAWNGREEN = "#87F717";
    public final static String LEMONCHIFFON = "#FFF8C6";
    public final static String LIGHTBLUE = "#ADDFFF";
    public final static String LIGHTCORAL = "#E77471";
    public final static String LIGHTCYAN = "#E0FFFF";
    public final static String LIGHTGOLDENRODYELLOW = "#FAF8CC";
    public final static String LIGHTGREEN = "#CCFFCC"; // XXXXX: ARBITRARY SHADE OF GREEN couldnt find LIGHTGREEN
    public final static String LIGHTPINK = "#FAAFBA";
    public final static String LIGHTSALMON = "#F9966B";
    public final static String LIGHTSEAGREEN = "#3EA99F";
    public final static String LIGHTSKYBLUE = "#82CAFA";
    public final static String LIGHTSLATEGRAY = "#6D7B8D";
    public final static String LIGHTSTEELBLUE = "#728FCE";
    public final static String LIGHTYELLOW = "#FFFEDC";
    public final static String LIMEGREEN = "#41A317";
    public final static String LINEN = "#F9EEE2";
    public final static String MAGENTA = "#FF00FF";
    public final static String MEDIUMAQUAMARINE = "#348781";
    public final static String MEDIUMBLUE = "#152DC6";
    public final static String MEDIUMORCHID = "#B048B5";
    public final static String MEDIUMPURPLE = "#8467D7";
    public final static String MEDIUMSEAGREEN = "#306754";
    public final static String MEDIUMSLATEBLUE = "#5E5A80";
    public final static String MEDIUMSPRINGGREEN = "#348017";
    public final static String MEDIUMTURQUOISE = "#48CCCD";
    public final static String MEDIUMVIOLETRED = "#CA226B";
    public final static String MIDNIGHTBLUE = "#151B54";
    public final static String MINTCREAM = "#F5FFF9";
    public final static String MISTYROSE = "#FDE1DD";
    public final static String MOCCASIN = "#FDE0AC";
    public final static String NAVAJOWHITE = "#FDDAA3";
    public final static String OLDLACE = "#FCF3E2";
    public final static String OLIVEDRAB = "#658017";
    public final static String ORANGE = "#F87A17";
    public final static String ORANGERED = "#F63817";
    public final static String ORCHID = "#E57DED";
    public final static String PALEGOLDENROD = "#EDE49E";
    public final static String PALETURQUOISE = "#AEEBEC";
    public final static String PALEVIOLETRED = "#D16587";
    public final static String PAPAYAWHIP = "#FEECCF";
    public final static String PEACHPUFF = "#FCD5B0";
    public final static String PERU = "#C57726";
    public final static String PINK = "#FAAFBE";
    public final static String PLUM = "#B93B8F";
    public final static String POWDERBLUE = "#ADDCE3";
    public final static String ROSYBROWN = "#B38481";
    public final static String ROYALBLUE = "#2B60DE";
    public final static String SADDLEBROWN = "#F63526"; // XXXXX: BROWN2 couldn't find SADDLEBROWN
    public final static String SALMON = "#F88158";
    public final static String SANDYBROWN = "#EE9A4D";
    public final static String SEAGREEN = "#4E8975";
    public final static String SEASHELL = "#FEF3EB";
    public final static String SIENNA = "#8A4117";
    public final static String SKYBLUE = "#6698FF";
    public final static String SLATEBLUE = "#737CA1";
    public final static String SLATEGRAY = "#657383";
    public final static String SNOW = "#FFF9FA";
    public final static String SPRINGGREEN = "#4AA02C";
    public final static String STEELBLUE = "#4863A0";
    public final static String TAN = "#D8AF79";
    public final static String THISTLE = "#D2B9D3";
    public final static String TOMATO = "#F75431";
    public final static String TURQUOISE = "#43C6DB";
    public final static String VIOLET = "#8D38C9";
    public final static String WHEAT = "#F3DAA9";
    public final static String WHITESMOKE = "#FFFFFF"; // XXXXX: WHITE couldn't find WHITESMOKE
    public final static String YELLOWGREEN = "#52D017";

    // lowercase for compatability

    public final static String black = BLACK;
    public final static String silver = SILVER;
    public final static String gray = GRAY;
    public final static String white = WHITE;
    public final static String maroon = MAROON;
    public final static String red = RED;
    public final static String purple = PURPLE;
    public final static String fuchsia = FUCHSIA;
    public final static String green = GREEN;
    public final static String lime = LIME;
    public final static String olive = OLIVE;
    public final static String yellow = YELLOW;
    public final static String navy = NAVY;
    public final static String blue = BLUE;
    public final static String teal = TEAL;
    public final static String aqua = AQUA;

    // lowercase for compatability colors html 3.0

    public final static String aliceblue = ALICEBLUE;
    public final static String antiquewhite = ANTIQUEWHITE;
    public final static String aquamarine = AQUAMARINE;
    public final static String azure = AZURE;
    public final static String beige = BEIGE;
    public final static String bisque = BISQUE;
    public final static String blanchedalmond = BLANCHEDALMOND;
    public final static String blueviolet = BLUEVIOLET;
    public final static String brown = BROWN;
    public final static String burlywood = BURLYWOOD;
    public final static String cadetblue = CADETBLUE;
    public final static String chartreuse = CHARTREUSE;
    public final static String chocolate = CHOCOLATE;
    public final static String coral = CORAL;
    public final static String cornfolowerblue = CORNFLOWERBLUE;
    public final static String cornsilk = CORNSILK;
    public final static String crimson = CRIMSON;
    public final static String cyan = CYAN;
    public final static String darkblue = DARKBLUE;
    public final static String darlcyan = DARKCYAN;
    public final static String darkgoldenrod = DARKGOLDENROD;
    public final static String darkgray = DARKGRAY;
    public final static String darkgreen = DARKGREEN;
    public final static String darkkahki = DARKKHAKI;
    public final static String darkmagenta = DARKMAGENTA;
    public final static String darkolivegreen = DARKOLIVEGREEN;
    public final static String darkorange = DARKORANGE;
    public final static String darkorchid = DARKORCHID;
    public final static String darkred = DARKRED;
    public final static String darksalmon = DARKSALMON;
    public final static String darkseagreen = DARKSEAGREEN;
    public final static String darkslateblue = DARKSLATEBLUE;
    public final static String darkslategray = DARKSLATEGRAY;
    public final static String darkturquoise = DARKTURQUOISE;
    public final static String darkviolet = DARKVIOLET;
    public final static String deeppink = DEEPPINK;
    public final static String deepskyblue = DEEPSKYBLUE;
    public final static String dimgray = DIMGRAY;
    public final static String dodgetblue = DODGERBLUE;
    public final static String firebrick = FIREBRICK;
    public final static String floralwhtie = FLORALWHITE;
    public final static String forestgreen = FORESTGREEN;
    public final static String gainsboro = GAINSBORO;
    public final static String ghostwhite = GHOSTWHITE;
    public final static String gold = GOLD;
    public final static String goldenrod = GOLDENROD;
    public final static String greenyellow = GREENYELLOW;
    public final static String honeydew = HONEYDEW;
    public final static String indianred = INDIANRED;
    public final static String indigo = INDIGO;
    public final static String ivory = IVORY;
    public final static String khaki = KHAKI;
    public final static String lavender = LAVENDER;
    public final static String lavenderblush = LAVENDERBLUSH;
    public final static String lawngreen = LAWNGREEN;
    public final static String lemmonchiffon = LEMONCHIFFON;
    public final static String lightblue = LIGHTBLUE;
    public final static String lightcoral = LIGHTCORAL;
    public final static String lightcyan = LIGHTCYAN;
    public final static String lightgoldenrodyellow = LIGHTGOLDENRODYELLOW;
    public final static String lightgreen = LIGHTGREEN;
    public final static String lightpink = LIGHTPINK;
    public final static String lightsalmon = LIGHTSALMON;
    public final static String lightseagreen = LIGHTSEAGREEN;
    public final static String lightskyblue = LIGHTSKYBLUE;
    public final static String lightslategray = LIGHTSLATEGRAY;
    public final static String lightsteelblue = LIGHTSTEELBLUE;
    public final static String lightyellow = LIGHTYELLOW;
    public final static String limegreen = LIMEGREEN;
    public final static String linen = LINEN;
    public final static String magenta = MAGENTA;
    public final static String mediumaquamarine = MEDIUMAQUAMARINE;
    public final static String mediumblue = MEDIUMBLUE;
    public final static String mediumorchid = MEDIUMORCHID;
    public final static String mediumpurple = MEDIUMPURPLE;
    public final static String mediumseagreen = MEDIUMSEAGREEN;
    public final static String mediumslateblue = MEDIUMSLATEBLUE;
    public final static String mediumspringgreen = MEDIUMSPRINGGREEN;
    public final static String mediumturquoise = MEDIUMTURQUOISE;
    public final static String mediumvioletred = MEDIUMVIOLETRED;
    public final static String midnightblue = MIDNIGHTBLUE;
    public final static String mintcream = MINTCREAM;
    public final static String mistyrose = MISTYROSE;
    public final static String moccasin = MOCCASIN;
    public final static String navajowhite = NAVAJOWHITE;
    public final static String oldlace = OLDLACE;
    public final static String olivedrab = OLIVEDRAB;
    public final static String orange = ORANGE;
    public final static String orangered = ORANGERED;
    public final static String orchid = ORCHID;
    public final static String palegoldenrod = PALEGOLDENROD;
    public final static String paleturquoise = PALETURQUOISE;
    public final static String palevioletred = PALEVIOLETRED;
    public final static String papayawhip = PAPAYAWHIP;
    public final static String peachpuff = PEACHPUFF;
    public final static String peru = PERU;
    public final static String pink = PINK;
    public final static String plum = PLUM;
    public final static String powderblue = POWDERBLUE;
    public final static String rosybrown = ROSYBROWN;
    public final static String royalblue = ROYALBLUE;
    public final static String saddlebrown = SADDLEBROWN;
    public final static String salmon = SALMON;
    public final static String sandybrown = SANDYBROWN;
    public final static String seagreen = SEAGREEN;
    public final static String seashell = SEASHELL;
    public final static String sienna = SIENNA;
    public final static String skyblue = SKYBLUE;
    public final static String slateblue = SLATEBLUE;
    public final static String slategray = SLATEGRAY;
    public final static String snow = SNOW;
    public final static String springgreen = SPRINGGREEN;
    public final static String steelblue = STEELBLUE;
    public final static String tan = TAN;
    public final static String thistle = THISTLE;
    public final static String tomato = TOMATO;
    public final static String turquoise = TURQUOISE;
    public final static String violet = VIOLET;
    public final static String wheat = WHEAT;
    public final static String whitesmoke = WHITESMOKE;
    public final static String yellowgreen = YELLOWGREEN;
    
    /**
        This method will take a string of hex values and 
        append a # to the beginning if it isn't already there.
    */
    public static String convertColor(String color)
    {
        String tmp = new String("#");
        if (!color.startsWith("#"))
            tmp = tmp + color;
        else
            tmp = color;
        return tmp;
    }
}